<template>
  <div class="form__bar" />
</template>
<script>
import { TimelineLite } from "gsap";
export default {
  name: "FormProgress",
  inject: ["formState"],
  computed: {
    percent() {
      return (this.formState.activeField / this.formState.formLength) * 100;
    },
  },
  watch: {
    percent(newVal) {
      let el = document.getElementsByClassName("form__bar");
      let tl = new TimelineLite();
      tl.to(el, 1, {
        width: newVal + "%",
      });
    },
  },
};
</script>
